| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
WindowsMediaCapture Class Reference

`#include <WindowsMediaCapture.h>`

## Public Member Functions
| WindowsMediaCapture (void)
virtual | ~WindowsMediaCapture (void)
bool | StartCapture (int width, int height, Platform::String^ pixelFormat=Windows::Media::MediaProperties::MediaEncodingSubtypes::Rgb24, int preferredDeviceIndex=0, Windows::Devices::Enumeration::Panel preferredLocation=Windows::Devices::Enumeration::Panel::Unknown, void(*errorCallback)(void *)=NULL, void *errorCallbackUserdata=NULL)
bool | Capturing () const
uint8_t * | GetFrame ()
void | StopCapture ()
int | width () const
int | height () const
int | Bpp () const
bool | flipV () const
void | setFlipV (bool flag)
Windows::Devices::Enumeration::Panel | deviceLocation () const
std::string | deviceName () const
void | showSettings (void)

## Constructor & Destructor Documentation

## ◆ WindowsMediaCapture()

WindowsMediaCapture::WindowsMediaCapture | ( | void |  | ) |

## ◆ ~WindowsMediaCapture()

WindowsMediaCapture::~WindowsMediaCapture | ( | void |  | ) |
| virtual

Here is the call graph for this function:

## Member Function Documentation

## ◆ Bpp()

int WindowsMediaCapture::Bpp | ( |  | ) | const

## ◆ Capturing()

bool WindowsMediaCapture::Capturing | ( |  | ) | const

## ◆ deviceLocation()

Windows::Devices::Enumeration::Panel WindowsMediaCapture::deviceLocation | ( |  | ) | const

## ◆ deviceName()

std::string WindowsMediaCapture::deviceName | ( |  | ) | const

## ◆ flipV()

bool WindowsMediaCapture::flipV | ( |  | ) | const

## ◆ GetFrame()

uint8_t * WindowsMediaCapture::GetFrame | ( |  | ) |

## ◆ height()

int WindowsMediaCapture::height | ( |  | ) | const

## ◆ setFlipV()

void WindowsMediaCapture::setFlipV | ( | bool | flag | ) |

## ◆ showSettings()

void WindowsMediaCapture::showSettings | ( | void |  | ) |

## ◆ StartCapture()

bool WindowsMediaCapture::StartCapture | ( | int | width,
|  | int | height,
|  | Platform::String^ | pixelFormat = `Windows::Media::MediaProperties::MediaEncodingSubtypes::Rgb24`,
|  | int | preferredDeviceIndex = `0`,
|  | Windows::Devices::Enumeration::Panel | preferredLocation = `Windows::Devices::Enumeration::Panel::Unknown`,
|  | void(*)(void *) | errorCallback = `NULL`,
|  | void * | errorCallbackUserdata = `NULL`
| ) |  |

Here is the call graph for this function:

## ◆ StopCapture()

void WindowsMediaCapture::StopCapture | ( |  | ) |

Here is the call graph for this function:

## ◆ width()

int WindowsMediaCapture::width | ( |  | ) | const

The documentation for this class was generated from the following files:

- Source/ARX/ARVideo/WindowsMediaCapture/WindowsMediaCapture.h
- Source/ARX/ARVideo/WindowsMediaCapture/WindowsMediaCapture.cpp